//---------------------------------------------------------------------------
// NEOPOP : Emulator as in Dreamland
//
// Copyright (c) 2001-2002 by neopop_uk
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version. See also the license.txt file for
//	additional informations.
//---------------------------------------------------------------------------

/*
//---------------------------------------------------------------------------
//=========================================================================

	TLCS900h_registers_mapCodeB1.h

//=========================================================================
//---------------------------------------------------------------------------

  History of changes:
  ===================

20 JUL 2002 - neopop_uk
=======================================
- Cleaned and tidied up for the source release

//---------------------------------------------------------------------------
*/

	((_u8*)&gprBank[0][0]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][0]) + PORTING_B1_OF_4B,			//BANK 0
		((_u8*)&gprBank[0][0]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][0]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[0][1]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][1]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][1]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][1]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[0][2]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][2]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][2]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][2]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[0][3]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][3]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][3]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][3]) + PORTING_B3_OF_4B,

	((_u8*)&gprBank[1][0]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][0]) + PORTING_B1_OF_4B,			//BANK 1
		((_u8*)&gprBank[1][0]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][0]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[1][1]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][1]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][1]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][1]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[1][2]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][2]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][2]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][2]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[1][3]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][3]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][3]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][3]) + PORTING_B3_OF_4B,

	((_u8*)&gprBank[2][0]) + PORTING_B0_OF_4B,((_u8*)&gprBank[2][0]) + PORTING_B1_OF_4B,			//BANK 2
		((_u8*)&gprBank[2][0]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[2][0]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[2][1]) + PORTING_B0_OF_4B,((_u8*)&gprBank[2][1]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[2][1]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[2][1]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[2][2]) + PORTING_B0_OF_4B,((_u8*)&gprBank[2][2]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[2][2]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[2][2]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[2][3]) + PORTING_B0_OF_4B,((_u8*)&gprBank[2][3]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[2][3]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[2][3]) + PORTING_B3_OF_4B,

	((_u8*)&gprBank[3][0]) + PORTING_B0_OF_4B,((_u8*)&gprBank[3][0]) + PORTING_B1_OF_4B,			//BANK 3
		((_u8*)&gprBank[3][0]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[3][0]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[3][1]) + PORTING_B0_OF_4B,((_u8*)&gprBank[3][1]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[3][1]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[3][1]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[3][2]) + PORTING_B0_OF_4B,((_u8*)&gprBank[3][2]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[3][2]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[3][2]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[3][3]) + PORTING_B0_OF_4B,((_u8*)&gprBank[3][3]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[3][3]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[3][3]) + PORTING_B3_OF_4B,

	(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,
	(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,
	(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,
	(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,
	(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,(_u8*)&rErr,

	//Previous Bank
	((_u8*)&gprBank[0][0]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][0]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][0]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][0]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[0][1]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][1]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][1]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][1]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[0][2]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][2]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][2]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][2]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[0][3]) + PORTING_B0_OF_4B,((_u8*)&gprBank[0][3]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[0][3]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[0][3]) + PORTING_B3_OF_4B,

	//Current Bank
	((_u8*)&gprBank[1][0]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][0]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][0]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][0]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[1][1]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][1]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][1]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][1]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[1][2]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][2]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][2]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][2]) + PORTING_B3_OF_4B,
	((_u8*)&gprBank[1][3]) + PORTING_B0_OF_4B,((_u8*)&gprBank[1][3]) + PORTING_B1_OF_4B,
		((_u8*)&gprBank[1][3]) + PORTING_B2_OF_4B, ((_u8*)&gprBank[1][3]) + PORTING_B3_OF_4B,
		
	((_u8*)&gpr[0]) + PORTING_B0_OF_4B, ((_u8*)&gpr[0]) + PORTING_B1_OF_4B, 
		((_u8*)&gpr[0]) + PORTING_B2_OF_4B, ((_u8*)&gpr[0]) + PORTING_B3_OF_4B,
	((_u8*)&gpr[1]) + PORTING_B0_OF_4B, ((_u8*)&gpr[1]) + PORTING_B1_OF_4B, 
		((_u8*)&gpr[1]) + PORTING_B2_OF_4B, ((_u8*)&gpr[1]) + PORTING_B3_OF_4B,
	((_u8*)&gpr[2]) + PORTING_B0_OF_4B, ((_u8*)&gpr[2]) + PORTING_B1_OF_4B, 
		((_u8*)&gpr[2]) + PORTING_B2_OF_4B, ((_u8*)&gpr[2]) + PORTING_B3_OF_4B,
	((_u8*)&gpr[3]) + PORTING_B0_OF_4B, ((_u8*)&gpr[3]) + PORTING_B1_OF_4B,
		((_u8*)&gpr[3]) + PORTING_B2_OF_4B, ((_u8*)&gpr[3]) + PORTING_B3_OF_4B

//=============================================================================
